// ====================================================================
// 首页JS

myApp.onPageBeforeAnimation('index', function(page) {

	window.history.pushState('', '', './');

});

myApp.onPageInit('index', function(page) {

	var calendarDefault = myApp.calendar({
		input: '.calendar-index',
		headerPlaceholder: '请选择开始日期',
	});
	var calendarDefault = myApp.calendar({
		input: '.calendar-index2',
		headerPlaceholder: '请选择结束日期',
	});

});

myApp.onPageInit('xunjia', function(page) {

	// 地区选择初始化
	$(function() {
		var html = "<option value=''>请选择省份</option>";
		$("#input_city").append(html);
		$("#input_area").append(html);
		$.each(pdata, function(idx, item) {
			if(parseInt(item.level) == 0) {
				html += "<option value='" + item.names + "' exid='" + item.code + "'>" + item.names + "</option>";
			}
		});
		$("#input_province").append(html);

		$("#input_province").change(function() {
			if($(this).val() == "") return;
			$("#input_city option").remove();
			$("#input_area option").remove();
			var code = $(this).find("option:selected").attr("exid");
			code = code.substring(0, 2);
			var html = "<option value=''>请选择市</option>";
			$("#input_area").append(html);
			$.each(pdata, function(idx, item) {
				if(parseInt(item.level) == 1 && code == item.code.substring(0, 2)) {
					html += "<option value='" + item.names + "' exid='" + item.code + "'>" + item.names + "</option>";
				}
			});
			$("#input_city").append(html);
		});

		$("#input_city").change(function() {
			if($(this).val() == "") return;
			$("#input_area option").remove();
			var code = $(this).find("option:selected").attr("exid");
			code = code.substring(0, 4);
			var html = "<option value=''>请选择(下属市/县/区)</option>";
			$.each(pdata, function(idx, item) {
				if(parseInt(item.level) == 2 && code == item.code.substring(0, 4)) {
					html += "<option value='" + item.names + "' exid='" + item.code + "'>" + item.names + "</option>";
				}
			});
			$("#input_area").append(html);
		});
		//绑定
		$("#input_province").val("云南省");
		$("#input_province").change();
		$("#input_city").val("昆明市");
		$("#input_city").change();
		$("#input_area").val("盘龙区");

	});

});

myApp.onPageBeforeInit('zhucai', function(page) {

});

// ====================================================================
// PAGE对比页面JS
myApp.onPageInit('duibi', function(page) {

	// 循环添加参数
	$(function() {

		$('.duibi-table tbody tr').each(function(index, item) {
			$(item).attr('bg-num', 'tr_' + index);
		});

		$('#config_data tr').each(function(index, item) {
			$(item).attr('bg-num', 'tr_' + index);
		});

	});

	// 高亮不同项目
	$("input[name=radioShow][value=high]").change(function() {
		if($(this).is(':checked')) {
			$(".duibi-table tbody tr").each(function() {
				var thisObj = $(this);
				var td_length = thisObj.find('td.full').length;
				if(td_length) {
					var is_repeat = false;
					for(var i = 1; i < td_length; i++) {
						if(thisObj.find('td.full').eq(i - 1).html() != thisObj.find('td.full').eq(i).html()) {
							is_repeat = true;
						}
						if(is_repeat) {
							break;
						}
					}
					if(is_repeat) {
						thisObj.addClass("gaoliang"); //隐藏
					}
				}
			});
		} else {
			$(".gaoliang").removeClass("gaoliang"); //还原
		}
	});
	// 隐藏相同项目
	$("input[name=radioShow][value=hide]").change(function() {
		if($(this).is(':checked')) {
			$(".duibi-table tbody tr").each(function() {
				var thisObj = $(this);
				var td_length = thisObj.find('td.full').length;
				if(td_length) {
					var is_repeat = false;
					for(var i = 1; i < td_length; i++) {
						if(thisObj.find('td.full').eq(i - 1).html() != thisObj.find('td.full').eq(i).html()) {
							is_repeat = true;
						}
						if(is_repeat) {
							break;
						}
					}
					if(!is_repeat) {
						thisObj.addClass("radioShowhide"); //隐藏
						// 同时隐藏左侧对应标题
						var tithide = $(this).index();
						$("#config_data table tbody").each(function() {
							$(this).find('tr').eq(tithide).hide();
						});
					}
				}
			});
		} else {
			$(".radioShowhide").removeClass("radioShowhide"); //还原
			$("#config_data table tbody").find('tr').show();
		}
	});
	// 单个删除表格
	$$(".close-bt").click(function() {
		var cc = $(this).parents('th').index();
		$('.duibi-table tr').find('td:eq(' + cc + ')').text("--");
		$('.duibi-table tr').find('td:eq(' + cc + ')').removeClass('full');
		$('.duibi-table tr').find('td:eq(' + cc + ')').addClass('empty');
		$(this).parents('th').find(".sbuili-ss").addClass('active');
		$(this).parents('th').find(".biato-cx").hide();
	});

	// 趋势图删除按钮
	$$(".close-bt2").click(function() {
		var cc = $(this).parents('th').index();
		$(this).parents('th').find(".sbuili-ss").addClass('active');
		$(this).parents('th').find(".biato-cx").hide();
	});

	// 清空所有表格
	$(".table-clear").click(function() {

		$('.duibi-table tbody tr').children('.main-nr').text("--");
		$('.duibi-table tbody tr').children('.main-nr').removeClass('full');
		$('.duibi-table tbody tr').children('.main-nr').addClass('empty');
		$('.duibi-table').find(".sbuili-ss").addClass('active');
		$('.duibi-table').find(".biato-cx").hide();
	});

});


// ====================================================================
// PAGE主材动态-趋势图
myApp.onPageInit('zhucai-pic', function(page) {

	var calendarDefault = myApp.calendar({
		input: '.calendar-zhucai-pic',
		headerPlaceholder: '请选择开始日期',
	});
	var calendarDefault = myApp.calendar({
		input: '.calendar-zhucai-pic2',
		headerPlaceholder: '请选择结束日期',
	});

	var pickerDevice = myApp.picker({
		input: '.calendar-zhucai-choice',
		toolbarCloseText: '确认',
		cols: [{
			textAlign: 'center',
			values: ['昆明', '大理', 'cc']
		}]
	});

});

// ====================================================================
// PAGE主材动态-每日价格
myApp.onPageInit('zhucai-day', function(page) {

	var calendarDefault = myApp.calendar({
		input: '.calendar-zhucai-day',
		headerPlaceholder: '请选择开始日期',
	});
	var calendarDefault = myApp.calendar({
		input: '.calendar-zhucai-day2',
		headerPlaceholder: '请选择结束日期',
	});

	var pickerDevice = myApp.picker({
		input: '.calendar-zhucai-daychoice',
		toolbarCloseText: '确认',
		cols: [{
			textAlign: 'center',
			values: ['昆明', '大理', '保山']
		}]
	});

});

// ====================================================================
// PAGE定额除税价-趋势图
myApp.onPageInit('dinge-pic', function(page) {

	var calendarDefault = myApp.calendar({
		input: '.calendar-dinge-pic',
		headerPlaceholder: '请选择开始日期',
	});
	var calendarDefault = myApp.calendar({
		input: '.calendar-dinge-pic2',
		headerPlaceholder: '请选择结束日期',
	});

	var pickerDevice = myApp.picker({
		input: '.calendar-zhucai-choice',
		toolbarCloseText: '确认',
		cols: [{
			textAlign: 'center',
			values: ['昆明', '大理', 'aa']
		}]
	});

});

// ====================================================================
// PAGE采购除税价-趋势图
myApp.onPageInit('caigou-pic', function(page) {

	var calendarDefault = myApp.calendar({
		input: '.caigou-pic',
		headerPlaceholder: '请选择开始日期',
	});
	var calendarDefault = myApp.calendar({
		input: '.caigou-pic2',
		headerPlaceholder: '请选择结束日期',
	});
	var pickerDevice = myApp.picker({
		input: '.calendar-zhucai-choice',
		toolbarCloseText: '确认',
		cols: [{
			textAlign: 'center',
			values: ['昆明', '大理', '保山']
		}]
	});

});



// ====================================================================
// PAGE厂商报价内页
myApp.onPageInit('changshang-in', function(page) {

	// 幻灯滚动
	var mySwiper1 = myApp.swiper('.swiper-1', {
		pagination: '.swiper-1 .swiper-pagination',
		spaceBetween: 50,
		autoplay: 5000,
	});

	$$('.shoucang-bt').on('click', function() {
		myApp.modal({
			title: '收藏成功!',
			text: '您可以查看收藏列表或关闭提示',
			buttons: [{
					text: '查看列表',
					onClick: function() {

					}
				},
				{
					text: '关闭提示',
					onClick: function() {}
				},
			]
		})
	});

});

// ====================================================================
// PAGE提交额外价格信息需求
myApp.onPageInit('dinge-xuqiu', function(page) {
	// 地区选择初始化
	$(function() {
		var html = "<option value=''>请选择省份</option>";
		$("#input_city").append(html);
		$("#input_area").append(html);
		$.each(pdata, function(idx, item) {
			if(parseInt(item.level) == 0) {
				html += "<option value='" + item.names + "' exid='" + item.code + "'>" + item.names + "</option>";
			}
		});
		$("#input_province").append(html);

		$("#input_province").change(function() {
			if($(this).val() == "") return;
			$("#input_city option").remove();
			$("#input_area option").remove();
			var code = $(this).find("option:selected").attr("exid");
			code = code.substring(0, 2);
			var html = "<option value=''>请选择市</option>";
			$("#input_area").append(html);
			$.each(pdata, function(idx, item) {
				if(parseInt(item.level) == 1 && code == item.code.substring(0, 2)) {
					html += "<option value='" + item.names + "' exid='" + item.code + "'>" + item.names + "</option>";
				}
			});
			$("#input_city").append(html);
		});

		$("#input_city").change(function() {
			if($(this).val() == "") return;
			$("#input_area option").remove();
			var code = $(this).find("option:selected").attr("exid");
			code = code.substring(0, 4);
			var html = "<option value=''>请选择(下属市/县/区)</option>";
			$.each(pdata, function(idx, item) {
				if(parseInt(item.level) == 2 && code == item.code.substring(0, 4)) {
					html += "<option value='" + item.names + "' exid='" + item.code + "'>" + item.names + "</option>";
				}
			});
			$("#input_area").append(html);
		});
		//绑定
		$("#input_province").val("云南省");
		$("#input_province").change();
		$("#input_city").val("昆明市");
		$("#input_city").change();
		$("#input_area").val("盘龙区");

	});

});

// ====================================================================
// PAGE电子期刊内页
myApp.onPageInit('book-in', function(page) {

	// 幻灯滚动
	var mySwiper1 = myApp.swiper('.swiper-1', {
		pagination: '.swiper-1 .swiper-pagination',
		spaceBetween: 50,
		autoplay: 5000,
	});

	//在线阅读图片功能
	var photoBrowserPhotos = [{
			url: 'assets/img/169/book1.jpg',
			caption: '第1页'
		},
		{
			url: 'assets/img/169/book2.jpg',
			caption: '第2页'
		},
		{
			url: 'assets/img/169/book3.jpg',
			caption: '第3页'
		},
		{
			url: 'assets/img/169/book4.jpg',
			caption: '第4页'
		}

	];
	var photoBrowserDark = myApp.photoBrowser({
		photos: photoBrowserPhotos,
		lazyLoading: true,
		theme: 'dark',
		swipeToClose: false,
		backLinkText: '关闭阅读',
		onOpen: function(photoBrowserDark) {

		},
		onClose: function(photoBrowserDark) {

		},

	});
	$$('.ks-pb-standalone-dark').on('click', function() {
		photoBrowserDark.open();
	});

	$$(document).on('pageBack', function() {
		photoBrowserDark.close();

	})

	// 评分
	$$(".star-box .icon-star").on('click', function() {
		$(".star-box .icon-times").show();
		$(this).addClass('active');
		$(this).prevAll().addClass('active');
		$(this).nextAll().removeClass('active');
		var a = $(".star-box").children(".icon-star.material-icons.active").length;
		if(a == 1) {
			$(".star-fen-box").text("1分，很差")
		}
		if(a == 2) {
			$(".star-fen-box").text("2分，不好")
		}
		if(a == 3) {
			$(".star-fen-box").text("3分，一般")
		}
		if(a == 4) {
			$(".star-fen-box").text("4分，良好")
		}
		if(a == 5) {
			$(".star-fen-box").text("5分，优秀")
		}
	});

	$(".star-box .icon-times").click(function() {
		$(this).hide();
		$(".star-box .icon-star").removeClass('active');
		$(".star-fen-box").text("取消评分");
	});

});